package com.hfkj.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * bs_discount_pk_stock_batch
 * @author 
 */
/**
 * 
 * 代码由工具生成
 * 
 **/
public class BsDiscountPkStockBatch implements Serializable {
    /**
     * 主键
     */
    private Long id;

    /**
     * 优惠包id
     */
    private Long discountPkId;

    /**
     * 优惠包编号
     */
    private String discountPkNo;

    /**
     * 优惠包名称
     */
    private String discountPkName;

    /**
     * 批次编号
     */
    private String batchNo;

    /**
     * 批次库存数量
     */
    private Integer batchStockNum;

    /**
     * 开始id
     */
    private String startId;

    /**
     * 结束id
     */
    private String endId;

    /**
     * 状态  0：删除  1：正常
     */
    private Integer status;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 修改时间
     */
    private Date updateTime;

    private String ext1;

    private String ext2;

    private String ext3;

    private static final long serialVersionUID = 1L;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getDiscountPkId() {
        return discountPkId;
    }

    public void setDiscountPkId(Long discountPkId) {
        this.discountPkId = discountPkId;
    }

    public String getDiscountPkNo() {
        return discountPkNo;
    }

    public void setDiscountPkNo(String discountPkNo) {
        this.discountPkNo = discountPkNo;
    }

    public String getDiscountPkName() {
        return discountPkName;
    }

    public void setDiscountPkName(String discountPkName) {
        this.discountPkName = discountPkName;
    }

    public String getBatchNo() {
        return batchNo;
    }

    public void setBatchNo(String batchNo) {
        this.batchNo = batchNo;
    }

    public Integer getBatchStockNum() {
        return batchStockNum;
    }

    public void setBatchStockNum(Integer batchStockNum) {
        this.batchStockNum = batchStockNum;
    }

    public String getStartId() {
        return startId;
    }

    public void setStartId(String startId) {
        this.startId = startId;
    }

    public String getEndId() {
        return endId;
    }

    public void setEndId(String endId) {
        this.endId = endId;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getExt1() {
        return ext1;
    }

    public void setExt1(String ext1) {
        this.ext1 = ext1;
    }

    public String getExt2() {
        return ext2;
    }

    public void setExt2(String ext2) {
        this.ext2 = ext2;
    }

    public String getExt3() {
        return ext3;
    }

    public void setExt3(String ext3) {
        this.ext3 = ext3;
    }

    @Override
    public boolean equals(Object that) {
        if (this == that) {
            return true;
        }
        if (that == null) {
            return false;
        }
        if (getClass() != that.getClass()) {
            return false;
        }
        BsDiscountPkStockBatch other = (BsDiscountPkStockBatch) that;
        return (this.getId() == null ? other.getId() == null : this.getId().equals(other.getId()))
            && (this.getDiscountPkId() == null ? other.getDiscountPkId() == null : this.getDiscountPkId().equals(other.getDiscountPkId()))
            && (this.getDiscountPkNo() == null ? other.getDiscountPkNo() == null : this.getDiscountPkNo().equals(other.getDiscountPkNo()))
            && (this.getDiscountPkName() == null ? other.getDiscountPkName() == null : this.getDiscountPkName().equals(other.getDiscountPkName()))
            && (this.getBatchNo() == null ? other.getBatchNo() == null : this.getBatchNo().equals(other.getBatchNo()))
            && (this.getBatchStockNum() == null ? other.getBatchStockNum() == null : this.getBatchStockNum().equals(other.getBatchStockNum()))
            && (this.getStartId() == null ? other.getStartId() == null : this.getStartId().equals(other.getStartId()))
            && (this.getEndId() == null ? other.getEndId() == null : this.getEndId().equals(other.getEndId()))
            && (this.getStatus() == null ? other.getStatus() == null : this.getStatus().equals(other.getStatus()))
            && (this.getCreateTime() == null ? other.getCreateTime() == null : this.getCreateTime().equals(other.getCreateTime()))
            && (this.getUpdateTime() == null ? other.getUpdateTime() == null : this.getUpdateTime().equals(other.getUpdateTime()))
            && (this.getExt1() == null ? other.getExt1() == null : this.getExt1().equals(other.getExt1()))
            && (this.getExt2() == null ? other.getExt2() == null : this.getExt2().equals(other.getExt2()))
            && (this.getExt3() == null ? other.getExt3() == null : this.getExt3().equals(other.getExt3()));
    }

    @Override
    public int hashCode() {
        final int prime = 31;
        int result = 1;
        result = prime * result + ((getId() == null) ? 0 : getId().hashCode());
        result = prime * result + ((getDiscountPkId() == null) ? 0 : getDiscountPkId().hashCode());
        result = prime * result + ((getDiscountPkNo() == null) ? 0 : getDiscountPkNo().hashCode());
        result = prime * result + ((getDiscountPkName() == null) ? 0 : getDiscountPkName().hashCode());
        result = prime * result + ((getBatchNo() == null) ? 0 : getBatchNo().hashCode());
        result = prime * result + ((getBatchStockNum() == null) ? 0 : getBatchStockNum().hashCode());
        result = prime * result + ((getStartId() == null) ? 0 : getStartId().hashCode());
        result = prime * result + ((getEndId() == null) ? 0 : getEndId().hashCode());
        result = prime * result + ((getStatus() == null) ? 0 : getStatus().hashCode());
        result = prime * result + ((getCreateTime() == null) ? 0 : getCreateTime().hashCode());
        result = prime * result + ((getUpdateTime() == null) ? 0 : getUpdateTime().hashCode());
        result = prime * result + ((getExt1() == null) ? 0 : getExt1().hashCode());
        result = prime * result + ((getExt2() == null) ? 0 : getExt2().hashCode());
        result = prime * result + ((getExt3() == null) ? 0 : getExt3().hashCode());
        return result;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", id=").append(id);
        sb.append(", discountPkId=").append(discountPkId);
        sb.append(", discountPkNo=").append(discountPkNo);
        sb.append(", discountPkName=").append(discountPkName);
        sb.append(", batchNo=").append(batchNo);
        sb.append(", batchStockNum=").append(batchStockNum);
        sb.append(", startId=").append(startId);
        sb.append(", endId=").append(endId);
        sb.append(", status=").append(status);
        sb.append(", createTime=").append(createTime);
        sb.append(", updateTime=").append(updateTime);
        sb.append(", ext1=").append(ext1);
        sb.append(", ext2=").append(ext2);
        sb.append(", ext3=").append(ext3);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}